Package org.apache.catalina.manager.util

## Class BaseSessionComparator<T>

- java.lang.Object
- - org.apache.catalina.manager.util.BaseSessionComparator<T>

Type Parameters:
  `T` - The type of the session content to be compared

All Implemented Interfaces:
  `java.util.Comparator<Session>`

    public abstract class BaseSessionComparator<T>
    extends java.lang.Object
    implements java.util.Comparator<Session>

Comparator which permits to compare on a session's content.

Author:
  Cédrik LIME

### Constructor Summary

Constructors
`BaseSessionComparator()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `compare​(Session s1, Session s2)`
`abstract java.lang.Comparable<T>` `getComparableObject​(Session session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### BaseSessionComparator

    public BaseSessionComparator()

### Method Detail

#### getComparableObject

    public abstract java.lang.Comparable<T> getComparableObject​(Session session)

#### compare

    public final int compare​(Session s1,
                             Session s2)

Specified by:
  `compare` in interface `java.util.Comparator<T>`